name: dR export statistics build
run-name: dR export statistics build
on: [push]

jobs:
  Build:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Update repo
        run: git pull
      - name: List files in the repository
        run: |
          ls ${{ gitea.workspace }}
      - run: echo "Install dependencies."
      - run: apt update
      - run: apt install python3 python3-pip python3-venv make -y
      - run: make
      - run: echo "This job's status is ${{ job.status }}."
      - run: git add .
      - run: git config --global user.email "bot@molodetz.com"
      - run: git config --global user.name "bot"
      - run: git commit -a -m "Update export statistics"
      - run: git push
